summaryrefslogtreecommitdiff
path: root/tests/create-and-run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/create-and-run.sh')
-rwxr-xr-xtests/create-and-run.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests/create-and-run.sh b/tests/create-and-run.sh
index 4b5d986..0e2a3ca 100755
--- a/tests/create-and-run.sh
+++ b/tests/create-and-run.sh
@@ -2,6 +2,11 @@
# shellcheck disable=SC2086
+if test "$#" -ne 2; then
+ echo "$(basename $0) takes two positional arguments. architecture and release" 1>&2
+ exit 1
+fi
+
set -ex
cleanup() {
@@ -11,7 +16,7 @@ cleanup() {
trap cleanup EXIT INT TERM QUIT
ssh-keygen -f ssh_id -N ''
-debvm-create -k ssh_id.pub -o test.ext4 "$@"
+debvm-create -k ssh_id.pub -o test.ext4 -a "$1" -r "$2"
timeout 240s debvm-run -s 2222 -i test.ext4 &
timeout=5